; ----------------------------------------------------------------------------
;
; AutoIt Version: 3.0
; Language:       English
; Platform:       Win9x / NT
; Author:         Comi < http://www.blizzhackers.com >
;
; Script Function:
;	MH starter to make our lifes better.
;
; ----------------------------------------------------------------------------
; ----------------------------------------------------------------------------
; Script Start
; ----------------------------------------------------------------------------

;**********read the ini ********
;paths
$MHpath= IniRead("MHstarter.ini", "paths", "MHpath", "error")
$MHfile= IniRead("MHstarter.ini", "paths", "MHfile", "error")

$CRKpath= IniRead("MHstarter.ini", "paths", "CRKpath", "error")
$CRKfile= IniRead("MHstarter.ini", "paths", "CRKfile", "error")

;options
$activateD2= IniRead("MHstarter.ini", "options", "activateD2", "error")
$wait= IniRead("MHstarter.ini", "options", "wait", "error")

;********check if readed correctly***********

IF _
$MHpath="error" OR _
$MHfile="error" OR _
$CRKpath="error" OR _
$CRKfile="error" OR _
$activateD2="error" OR _
$wait="error" _
Then
	MsgBox(48, "MHstarter by Comi", "Error reading mhstarter.ini")
	Exit
Endif

;*********check if activateD2 value is valid*********

If IsNumber($activateD2) then
	MsgBox(48, "MHstarter by Comi", "Error: Invalid activateD2 value")
	Exit
Endif
If $activateD2 > 1 Then
		MsgBox(48, "Error: MHstarter by Comi", "Invalid activateD2 value, must be 0 or 1")
		Exit
Endif

;*********check if wait value is valid*********

If IsNumber($wait) then
	MsgBox(48, "MHstarter by Comi", "Error: Invalid wait value")
	Exit
Endif
If $wait > 10000 Then
	MsgBox(48, "MHstarter by Comi", "wait value too high,max wait is 10000 miliseconds")
	Exit
Endif

;********check if mh & mhcrack file paths are correct *******

;maphack
$mhfileex= FileExists ($MHpath & $MHfile)
If $mhfileex = 0 then
	MsgBox(48, "MHstarter by Comi", "Maphack (" & $MHfile & ") file not found. Make sure path & file name are correct")
	Exit
Endif

;maphack crack
$crackfileex = FileExists ($CRKpath & $CRKfile)
If $crackfileex = 0 then
	MsgBox(48, "MHstarter by Comi", "Maphack crack (" & $CRKfile & ") file not found. Make sure path & file name are correct")
	Exit
Endif

;********checks if d2 is running, also check if using d2 or d2loader.*********
$d2loader=0
If WinExists("Diablo") Then ;norm diablo
	$d2loader=1
Else
	If NOT WinExists("D2Loader") Then ;d2loader
		MsgBox(48, "MHstarter by Comi", "Could not find Diablo II")
		Exit
	Endif
Endif

;********* start ***********

;run the crack and install
Run($CRKpath & $CRKfile, $CRKpath,)

;********* check if theres no crack loader error ***********
If WinExists("Loader Error") then
	Send("{ENTER}")
	MsgBox(48, "MHstarter by Comi", "LOADER ERROR: No D2 windows found !")
	Exit
Else			;fine then, load it.

	WinWait("Loader Question")
	Send("{ENTER}")

Endif

;*********run maphack*********

;Check if maphack is not already running
$mhcheck = WinExists("Mousepad's Diablo II Maphack")

If $mhcheck = 0 then 		;if mh is running

	;run mh
	Run($MHpath & $MHfile, $MHpath,)

	Sleep($wait)

	;override silly protection
	WinWait("Maphack Warnings")
	Send("{ENTER}")

	;load maphack
	WinWait("Mousepad's Diablo II Maphack")
	Send("i", 1)

Else				;if not
	Sleep($wait)
	;activates maphack
	WinActivate("Mousepad's Diablo II Maphack")

	WinWaitActive("Mousepad's Diablo II Maphack")

	;load maphack
	WinWait("Mousepad's Diablo II Maphack")
	Send("i", 1)

EndIf

;************ time to go to d2 **************

If $activateD2 = 1 then
	If $d2loader = 1 then
		WinActivate ("Diablo")
	Else
		WinActivate ("D2Loader")
	EndIf
EndIf

;***** end ... *********

